Bug 802576 - Publican doesn't replace existing txt files
Publican doesn't replace existing txt files
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.8
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 19:58 EDT by Ruediger Landmann
Modified: 2012-10-30 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2012-03-12 19:58:40 EDT
Description of problem:
When Publican builds a book in txt format, it doesn't replace an existing txt file from a previous build. 

Version-Release number of selected component (if applicable):
2.8-1.fc16

How reproducible:
100%

Steps to Reproduce:
1. Create a new book in Publican
2. build the book in text format: publican build --formats txt --langs en-US
3. note the content of the book, specifically "This is a test paragraph"
4. edit Chapter.xml to include some new text
5. rebuild the book: publican build --formats txt --langs en-US
6. note the content of the book, specifically "This is a test paragraph"
  
Actual results:
Content has not changed

Expected results:
Content changes to include new text added in step 4

Additional info:
"publican clean" followed by another rebuild includes the new content as expected.
Comment 1 Jeff Fearn 2012-03-13 01:50:04 EDT
Forced txt to rebuild html-single once per build.

Pushed To ssh://git.fedorahosted.org/git/publican.git
   67a99c6..9b37295  master -> master
Comment 2 Misha H. Ali 2012-04-22 19:26:19 EDT
Verified, text only build refreshes text and incorporates changes as specified in c#1.

Verified on:

OS: Fedora 16
Publican: 3.0
Release designation: publican-3.0-0.fc16.t166.src.rpm

Note You need to log in before you can comment on or make changes to this bug.